/*
Theme Name: Talens
Theme URI: https://example.com
Description: Child Theme de Astra
Author: Tu Nombre
Author URI: https://example.com
Template: astra
Version: 1.0.0
Text Domain: talens
*/

@font-face {
  font-family: "Alliance";
  src: url("fonts/AllianceNo2-Light.woff2") format("woff2");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Alliance";
  src: url("fonts/AllianceNo2-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Alliance";
  src: url("fonts/AllianceNo2-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

.light {
  font-family: "Alliance No.2", sans-serif;
  font-weight: 300;
}

.regular {
  font-family: "Alliance No.2", sans-serif;
  font-weight: 400;
}

.bold {
  font-family: "Alliance No.2", sans-serif;
  font-weight: 700;
}

body{
    font-family: 'Alliance';
    font-weight: 400;
}

.site-header{
    background:rgba(10,20,35,0);
    backdrop-filter:blur(0px);
    -webkit-backdrop-filter:blur(0px);

    transition:
        background .4s ease,
        backdrop-filter .4s ease,
        -webkit-backdrop-filter .4s ease;
}

.site-header.scrolled{
    background:rgba(10,20,35,.35);
    backdrop-filter:blur(18px);
    -webkit-backdrop-filter:blur(18px);

    border-bottom:1px solid rgba(255,255,255,.08);
}


/* FONTS */

p, a{
    color: white;
}

h1, h2, h3, h4, h5, h6{
    color: white;
}

.hero h1{
    font-size: 40px;
    line-height: 45px;
    font-weight: 400;
}

.hero h2{
    font-size: 16px;
    font-weight: 300;
    line-height: 1.1em;
}
/* HEADER */

.site-header{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99;
    background: transparent;
    width: 100%;
}

.ast-primary-header-bar{
    background: transparent;
    background-color: transparent;
}

.ast-primary-header-bar a{
    color: white;
}

.ast-plain-container.ast-no-sidebar #primary{
    margin-top: 0;
}

a.menu-link{
    font-weight: 300;
}

.casillas h3{
    margin-bottom: 0;
    font-weight: 400;
}

/* PESTAÑAS */

#manufacturing,
#material,
#digital,
#industrialization{
    display:none;
}

.casillas > .uagb-container-inner-blocks-wrap > div{
    cursor:pointer;
}

.casillas > .uagb-container-inner-blocks-wrap > div.active{
    /* Aquí el estilo de la tarjeta activa */
}

.tab-wrapper{
    position:relative;
}

.tab-wrapper > div{
    overflow:hidden;

    max-height:0;

    opacity:0;

    transform:translateY(25px);

    transition:
        opacity .4s ease,
        transform .4s ease,
        max-height .6s ease;

    pointer-events:none;
}

.tab-wrapper > div.active{

    opacity:1;

    transform:translateY(0);

    max-height:3000px;

    pointer-events:auto;
}

.casillas .uagb-container-inner-blocks-wrap > div{

    cursor:pointer;

    transition:.3s;
}

.casillas .uagb-container-inner-blocks-wrap > div.active{

    background:rgba(255,255,255,.05);
    background: white;
    border-color:#4c9ca5;
}

.casillas .uagb-container-inner-blocks-wrap > div{
    background-color:#f0f9fe;
    transition:background-color .35s ease;
}

.casillas .uagb-container-inner-blocks-wrap > div:last-child{
    background-color:#4C9CA5;
    transition:background-color .35s ease;
}

.casillas .uagb-container-inner-blocks-wrap > div:hover{
    background-color:#ffffff;
}

.casillas .uagb-container-inner-blocks-wrap > div.active{
    background-color:#ffffff;
}

.casillas .uagb-container-inner-blocks-wrap > div:last-child:hover{
    background-color:#1e4143;
}

.casillas .uagb-container-inner-blocks-wrap > div:last-child.active{
    background-color:#1e4143;
}


/* CAJAS APILADAS */

.uagb-block-05a3ce08 > .uagb-container-inner-blocks-wrap{
    display:flex;
    align-items:stretch !important;
    justify-content:flex-start !important;
    flex-wrap:nowrap !important;
    min-height:70vh;
}

.descripcion{
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transform: translateY(15px);
    transition:
        max-height .6s ease,
        opacity .4s ease,
        transform .4s ease;
}

.active .descripcion{
    max-height: 300px; /* suficiente para el contenido */
    opacity: 1;
    transform: translateY(0);
    margin-top: 20px;
}

.active .descripcion{
    max-height: 300px;
    opacity: 1;
    transform: translateY(0);
    margin-top: 20px;
    transition-delay: .35s;
}

.uagb-block-85e8c965,
.uagb-block-b329ff0d{
    flex: 1;
    min-width: 0;
    cursor: pointer;
    transition:
        flex 0.7s cubic-bezier(.22,1,.36,1),
        opacity 0.45s ease,
        transform 0.45s ease;
}

.uagb-container-inner-blocks-wrap:has(.active){
    column-gap: 0 !important;
    /* cualquier propiedad del padre */
}

.uagb-block-05a3ce08 .active{
    flex: 1 1 100%;
    max-width: 100% !important;
    max-height: 70vh;
}

.uagb-block-05a3ce08 .hidden{
    flex:0 0 0;
    max-width:0;
    opacity:0;
    overflow:hidden;
    padding:0 !important;
    border:none;
}

.uagb-block-05a3ce08{
    max-height: 70vh;
}

.uagb-block-85e8c965,
.uagb-block-b329ff0d{
    position: relative;
}

.close-x{
    position: absolute !important;
    top: 40px;
    right: 40px;
    width: 36px;
    height: 36px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    opacity: 0;
    pointer-events: none;
    transition: .3s;
    z-index: 999;
}

.active .close-x{
    opacity:1;
    pointer-events:auto;
}

.caption1 .spectra-image-gallery__media-thumbnail-caption{
    color: #4c9ca5 !important;
}

/* CONTACTO */

/* CONTENEDOR */

.wpcf7{
    max-width: 960px;
    margin: 0 auto;
}

.wpcf7 p{
    margin: 0 0 55px;
}

/* INPUTS */

.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"],
.wpcf7 textarea{
    width:100%;
    background:transparent;
    border:none;
    border-bottom:2px solid rgba(255,255,255,.9);
    border-radius:0;
    padding:18px 0 12px;
    color:#fff;
    font-size:16px;
    font-weight:300;
    letter-spacing:.04em;
    text-transform:uppercase;
    box-shadow:none;
    outline:none;
    margin-bottom: 15px;
}

.wpcf7 textarea{
    min-height:340px;
    resize:none;
}

/* PLACEHOLDERS */

.wpcf7 ::placeholder{
    color:#fff;
    opacity:1;
    text-transform:uppercase;
    letter-spacing:.04em;
    font-size:16px;
}

/* FOCUS */

.wpcf7 input:focus,
.wpcf7 textarea:focus{
    border-bottom-color:#fff;
}

/* CHECKBOX */

.wpcf7-acceptance label{
    display:flex;
    align-items:flex-start;
    gap:14px;
    color:#fff;
    font-size:13px;
    line-height:1.2;
    cursor:pointer;
}

.wpcf7-acceptance input[type="checkbox"]{
    appearance:none;
    width:24px;
    height:24px;
    margin-top:2px;
    border:2px solid #fff;
    background:transparent;
    flex-shrink:0;
    cursor:pointer;
}

.wpcf7-acceptance input[type="checkbox"]:checked{
    background:#fff;
    position:relative;
}

.wpcf7-acceptance input[type="checkbox"]:checked::after{
    content:"✓";
    position:absolute;
    inset:0;
    display:flex;
    align-items:center;
    justify-content:center;
    color:#000;
    font-size:16px;
    font-weight:700;
}

/* BOTÓN */

.wpcf7-submit{
    background:transparent;
    border:2px solid #fff;
    color:#fff;
    padding:16px 50px;
    font-size:16px;
    letter-spacing:.08em;
    text-transform:uppercase;
    cursor:pointer;
    transition:.3s;
}

.wpcf7-submit:hover{
    background:#fff;
    color:#0d2d49;
}

/* MENSAJES */

.wpcf7-response-output{
    color:#fff;
    border-color:#fff !important;
    margin-top:30px !important;
}

/* ELIMINA ESTILOS DE CF7 */

.wpcf7-form-control-wrap{
    display:block;
}

.wpcf7-spinner{
    display:none;
}

@media only screen and (max-width: 1200px){
    .ast-separate-container .entry-content > .alignfull, .ast-separate-container .entry-content[data-ast-blocks-layout] > .alignwide, .ast-plain-container .entry-content[data-ast-blocks-layout] > .alignwide, .ast-plain-container .entry-content .alignfull{
        margin: 0;
    }

    .footer-widget-area figure img{
        max-width: 200px;
        margin: auto;
        text-align: center;
    }
}
